Bug 1980327 - Byobu when started, causes flooding in logs from packagekitd
Summary: Byobu when started, causes flooding in logs from packagekitd
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: byobu
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-08 11:50 UTC by Emanuele
Modified: 2021-10-01 08:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Emanuele 2021-07-08 11:50:28 UTC
Description of problem:

Byobu when started, causes flooding in logs from packagekitd.
Thanks to Alessio help, on ask Fedora we were able to understand the problem, but it wasn't easy.
While waiting for the upstream bug to be resolved, I was suggested, again in the help post, to report it on the Fedora side

Version-Release number of selected component (if applicable):

Fedora 34
byobu.noarch:                                                                                                     5.133-3.fc34

bug upstream: https://bugs.launchpad.net/byobu/+bug/1828115

For more details: https://ask.fedoraproject.org/t/packagekitd-keeps-writing-to-logs-uses-disk-ram-and-cpu/15363

Comment 1 info 2021-10-01 08:39:16 UTC
I have a similar problem.

packagekitd starts flooding the logs

Okt 01 10:21:59 c3274 PackageKit[3872554]: update-packages transaction /91461_deaaacaa from uid 1235242675 finished with need-untrusted after 95ms
Okt 01 10:21:59 c3274 PackageKit[3872554]: new update-packages transaction /91462_cedabecb scheduled from uid 1235242675
Okt 01 10:21:59 c3274 PackageKit[3872554]: update-packages transaction /91462_cedabecb from uid 1235242675 finished with need-untrusted after 85ms
Okt 01 10:22:00 c3274 PackageKit[3872554]: new update-packages transaction /91463_cddabdea scheduled from uid 1235242675
Okt 01 10:22:00 c3274 PackageKit[3872554]: update-packages transaction /91463_cddabdea from uid 1235242675 finished with need-untrusted after 85ms
Okt 01 10:22:00 c3274 PackageKit[3872554]: new update-packages transaction /91464_aadddacc scheduled from uid 1235242675
Okt 01 10:22:00 c3274 PackageKit[3872554]: update-packages transaction /91464_aadddacc from uid 1235242675 finished with need-untrusted after 108ms

But i don't use byobu. I use gnome-software and I think packagekitd starts flooding after waking up from hibernate / suspend. This cause high memory usage (my notebook with 32 GB RAM and 16 GB swap) run out of memory. Stopping packagekit "sudo systemctl stop packagekit.service" release 20 GB RAM and half of swap. 

So I think, the toolings that use packagekit as backend, aren't causing the problem.



System:    Kernel: 5.14.8-250.vanilla.1.fc34.x86_64 x86_64 bits: 64 compiler: gcc v: 2.35.2-5.fc34 Desktop: Cinnamon 5.0.5 
           Distro: Fedora release 34 (Thirty Four) 
Machine:   Type: Laptop System: Dell product: XPS 15 7590 v: N/A serial: <filter> 
           Mobo: Dell model: 018W12 v: A06 serial: <filter> UEFI: Dell v: 1.11.0 date: 05/31/2021


Note You need to log in before you can comment on or make changes to this bug.